%define name    grecord
%define version 0.3.4
%define release 4mdk

Summary: GNOME Sound record is a program for recording and playing .wav files.
Name: %{name}
Version: %{version}
Release: %{release}
Group: Sound
Copyright: GPL
Source0: %{name}-%{version}.tar.bz2
URL: http://w1.462.telia.com/~u46703521/
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
GNOME Sound recorder is a simple tool for recording and playing sound
files. It is built using GTK, and is well integrated with the GNOME
desktop.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %{name}-%{version}/

%build

%configure

%make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/grecord"\
title="Grecord"\
longtitle="A sound recorder/player"\
needs="x11"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/gnome/apps/Multimedia/*
%{_datadir}/mime-info/*
%{_libdir}/menu/*

%changelog
* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-4mdk 
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.4-3mdk
- macros
- BM  
- menus

* Fri Jul 14 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com>  0.3.4-2mdk
  - v0.3.4-2mdk (overhaul of original package)
  - Mandrake-specific adaptations 
